# Source code for azure.mgmt.notificationhubs.models.adm_credential_properties

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class AdmCredentialProperties(Model):
        """Description of a NotificationHub AdmCredential.

        :param client_id: Gets or sets the client identifier.
        :type client_id: str
        :param client_secret: Gets or sets the credential secret access key.
        :type client_secret: str
        :param auth_token_url: Gets or sets the URL of the authorization token.
        :type auth_token_url: str
        """

        _attribute_map = {
            'client_id': {'key': 'clientId', 'type': 'str'},
            'client_secret': {'key': 'clientSecret', 'type': 'str'},
            'auth_token_url': {'key': 'authTokenUrl', 'type': 'str'},
        }

        def __init__(self, client_id=None, client_secret=None, auth_token_url=None):
            self.client_id = client_id
            self.client_secret = client_secret
            self.auth_token_url = auth_token_url